#!/bin/sh
#
# source: http://ftp.gnome.org/pub/gnome/sources/gucharmap/3.2/gucharmap-3.2.2.tar.xz
#
# maintainer: (package seek maintainer)
#

CWD=`pwd`
TMP=/tmp
PKG=$TMP/package-gucharmap

VERSION=3.2.2
ARCH=i486
BUILD=72.1

SLKCFLAGS="-O2 -march=i486 -mtune=i686"

rm -rf $PKG
mkdir -p $PKG
cd /tmp
rm -rf gucharmap-$VERSION
tar xvf $CWD/gucharmap-$VERSION.tar.xz
cd gucharmap-$VERSION
chown -R root:root .
find . \
  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
  -exec chmod 755 {} \; -o \
  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
  -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
./configure \
  --prefix=/usr \
  --enable-static=no \
  --sysconfdir=/etc \
  --localstatedir=/var/lib \
  --disable-schemas-install \
  --disable-scrollkeeper \
  --with-gconf-source="xml::/etc/gconf/gconf.xml.defaults"

make -j 4
make install DESTDIR=$PKG

find $PKG | xargs file | grep -e "executable" -e "shared object" \
  | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null

export GCONF_CONFIG_SOURCE="xml::$PKG/etc/gconf/gconf.xml.defaults"
if [ -d $PKG/etc/gconf/schemas ]; then
     install -v -d -m755 $PKG/etc/gconf/gconf.xml.defaults
     SCHEMAS=$PKG/etc/gconf/schemas
     for schema in $SCHEMAS/*.schemas; do
         gconftool-2 --makefile-install-rule $schema
     done
     # Reset / Verify correct permissions
     ( cd $PKG/etc/gconf ; find . -type d -exec chmod 755 {} \; )
     ( cd $PKG/etc/gconf ; find . -type f -exec chmod 644 {} \; )
fi

mkdir -p $PKG/usr/doc/gucharmap-$VERSION/
cp -a \
  AUTHORS ChangeLog COPYING* NEWS README TODO \
  $PKG/usr/doc/gucharmap-$VERSION

mkdir -p $PKG/usr/src/gucharmap-$VERSION
cp $CWD/build-gucharmap.sh $PKG/usr/src/gucharmap-$VERSION/

#
# make a slack-desc file
#

mkdir -p $PKG/install
cat <<"EOF" > $PKG/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

         |-----handy-ruler-----------------------------------|
gucharmap: gucharmap - is character map utility
gucharmap:
gucharmap: gucharmap is a Unicode character map and font viewer.
gucharmap:
gucharmap:
gucharmap:
gucharmap:
gucharmap:
gucharmap:
gucharmap:
EOF

cd $PKG
makepkg -l y -c n ../gucharmap-$VERSION-$ARCH-$BUILD.txz
cd ..
md5sum gucharmap-$VERSION-$ARCH-$BUILD.txz > gucharmap-$VERSION-$ARCH-$BUILD.md5
